return {
	{ 'jghauser/mkdir.nvim', lazy = false },
	{
		"willothy/nvim-cokeline",
		dependencies = {
			"nvim-lua/plenary.nvim", -- Required for v0.4.0+
			"nvim-tree/nvim-web-devicons", -- If you want devicons
			{
				"stevearc/resession.nvim",
				config = function()
					local resession = require("resession")
					resession.setup()
					-- Resession does NOTHING automagically, so we have to set up some keymaps
					vim.keymap.set("n", "<leader>ss", resession.save)
					vim.keymap.set("n", "<leader>sl", resession.load)
					vim.keymap.set("n", "<leader>sd", resession.delete)
				end
			} -- Optional, for persistent history
		},
		event = "VeryLazy",
		keys = {
			{ 'gp', "<Plug>(cokeline-focus-prev)", desc = 'next buffer' },
			{ 'gn', "<Plug>(cokeline-focus-next)", desc = 'next buffer' },
		},
		-- opts = {},
		config = function()
			local get_hex = require('cokeline.hlgroups').get_hl_attr

			require('cokeline').setup({
				default_hl = {
					fg = function(buffer)
						return
						    buffer.is_focused
						    and get_hex('Normal', 'fg')
						    or get_hex('Comment', 'fg')
					end,
					bg = 'NONE',
				},
				components = {
					{
						text = function(buffer) return (buffer.index ~= 1) and '▏' or '' end,
						fg = function() return get_hex('Normal', 'fg') end
					},
					{
						text = function(buffer) return '    ' .. buffer.devicon.icon end,
						fg = function(buffer) return buffer.devicon.color end,
					},
					{
						text = function(buffer) return buffer.filename .. '    ' end,
						bold = function(buffer) return buffer.is_focused end
					},
					{
						text = '󰖭',
						on_click = function(_, _, _, _, buffer)
							buffer:delete()
						end
					},
					{
						text = '  ',
					},
				},
			})
		end
	}
}
